Skip to main content
POST
/
api
/
v1
/
auth
/
two-factor
/
verify-sign-in
cURL
curl -sS -X POST "$FLUIDE_BASE_URL/api/v1/auth/two-factor/verify-sign-in" \
  -H "Authorization: Bearer $FLUIDE_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
{}

Authorizations

Authorization
string
header
required

Access token JWT. Use as Authorization: Bearer . In the API playground, paste the JWT only.

Body

application/json
pendingToken
string
required

Opaque token from POST /auth/sign-in when twoFactorRequired is true.

Required string length: 16 - 128
code
string
required

6-digit code from the authenticator app.

Pattern: /^\d{6}$/
fluideClientId
enum<string>
required
Available options:
fluide-admin,
fluide-capital-admin,
fluide-super,
fluide-developer
trustDeviceLabel
string

Optional display name for audit logs.

Maximum string length: 120

Response

The response is of type object.